/* 
 * Copyright (c) 1988-1994, The University of Utah and
 * the Computer Systems Laboratory at the University of Utah (CSL).
 * All rights reserved.
 *
 * Permission to use, copy, modify and distribute this software is hereby
 * granted provided that (1) source code retains these copyright, permission,
 * and disclaimer notices, and (2) redistributions including binaries
 * reproduce the notices in supporting documentation, and (3) all advertising
 * materials mentioning features or use of this software display the following
 * acknowledgement: ``This product includes software developed by the
 * Computer Systems Laboratory at the University of Utah.''
 *
 * THE UNIVERSITY OF UTAH AND CSL ALLOW FREE USE OF THIS SOFTWARE IN ITS "AS
 * IS" CONDITION.  THE UNIVERSITY OF UTAH AND CSL DISCLAIM ANY LIABILITY OF
 * ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 *
 * CSL requests users of this software to return to csl-dist@cs.utah.edu any
 * improvements that they make and grant CSL redistribution rights.
 *
 *	Utah $Hdr: hil_subr.c 1.2 94/12/14$
 */

#include <sys/param.h>
#include <sys/clist.h>

#include <hpdev/hilreg.h>

/*
 * This is just a copy of the virgin q_to_b routine with minor
 * optimizations for HIL use.  It is used for two reasons:
 * 1. If we have PAGE mode defined, the normal q_to_b processes
 *    chars one at a time and breaks on newlines.
 * 2. We don't have to raise the priority to spltty() for most
 *    of the clist manipulations.
 */
hilq_to_b(cl, cptr, count)
	register struct clist *cl;
	register char *cptr;
	int count;
{
	/* Body deleted */
	return(0);
}
