/*
 *  (c) Copyright 1992 HEWLETT-PACKARD COMPANY
 *
 *  To anyone who acknowledges that this file is provided "AS IS"
 *  without any express or implied warranty:
 *      permission to use, copy, modify, and distribute this file
 *  for any purpose is hereby granted without fee, provided that
 *  the above copyright notice and this notice appears in all
 *  copies, and that the name of Hewlett-Packard Company not be
 *  used in advertising or publicity pertaining to distribution
 *  of the software without specific, written prior permission.
 *  Hewlett-Packard Company makes no representations about the
 *  suitability of this software for any purpose.
 */

#ifndef _HP_IOMAP_H_ /* allows multiple inclusion */
#define _HP_IOMAP_H_

#ifdef __cplusplus
    extern "C" {
#endif

#define IOMAP_NOSPACE	((int)-1)

#ifndef	_NO_PROTO

int
iomap_allocate(char *map, int base, int target, int npages);

void
iomap_free(char *map, int base, int npages);

#else

int
iomap_allocate();

void
iomap_free();

#endif

#ifdef __cplusplus
    }
#endif

#endif /* _HP_IOMAP_H_ */
