/*
 *  (c) Copyright 1992 HEWLETT-PACKARD COMPANY
 *
 *  To anyone who acknowledges that this file is provided "AS IS"
 *  without any express or implied warranty:
 *      permission to use, copy, modify, and distribute this file
 *  for any purpose is hereby granted without fee, provided that
 *  the above copyright notice and this notice appears in all
 *  copies, and that the name of Hewlett-Packard Company not be
 *  used in advertising or publicity pertaining to distribution
 *  of the software without specific, written prior permission.
 *  Hewlett-Packard Company makes no representations about the
 *  suitability of this software for any purpose.
 */

/*
 * This code taken from kdb.c in the
 * Apollo proprietary code by Patrick Dalton
 */

/*
 *  kdbsbrk - extended debugger dynamic memory
 */
#define KDB_SBRK_SIZE   4096            /* size of fake sbrk buffer */

static char kdbbuf[KDB_SBRK_SIZE];
char *kdbend = kdbbuf;

char *
kdbsbrk(n)
unsigned n;
{
    char *old = kdbend;

    if ((kdbend+n) >= &kdbbuf[sizeof(kdbbuf)]) {
        return((char *)-1);
    }
    kdbend += n;
    return(old);
}
