/* 
 * Copyright (c) 1994 The University of Utah and
 * the Computer Systems Laboratory (CSL).  All rights reserved.
 *
 * Permission to use, copy, modify and distribute this software is hereby
 * granted provided that (1) source code retains these copyright, permission,
 * and disclaimer notices, and (2) redistributions including binaries
 * reproduce the notices in supporting documentation, and (3) all advertising
 * materials mentioning features or use of this software display the following
 * acknowledgement: ``This product includes software developed by the
 * Computer Systems Laboratory at the University of Utah.''
 *
 * THE UNIVERSITY OF UTAH AND CSL ALLOW FREE USE OF THIS SOFTWARE IN ITS "AS
 * IS" CONDITION.  THE UNIVERSITY OF UTAH AND CSL DISCLAIM ANY LIABILITY OF
 * ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 *
 * CSL requests users of this software to return to csl-dist@cs.utah.edu any
 * improvements that they make and grant CSL redistribution rights.
 *
 */
#include <mach/machine/asm.h>

#ifdef PROF

/* XXX need profiling versions */

#else

#define	ENTRY(x)		\
/**/	.space	$TEXT$		!\
	.subspa	$CODE$		!\
	.export	x,entry		!\
	.label	x		!\
	.proc			!\
	.callinfo no_calls	!\
	.entry

#define ALTENTRY(x)		\
/**/	.export	x,entry		!\
	.label	x

#define EXIT(x)			\
/**/	bv,n	r0(rp)		!\
	.exit			!\
	.procend

#endif
